4Suite™ API Documentation

# ► Module Ft.Xml.Xslt.ApplyTemplatesElement

Implementation of xsl:apply-templates instruction
Copyright 2004 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes: ApplyTemplatesElement |  |  |  | Fields: EMPTY_NAMESPACE, XSL_NAMESPACE

## Classes

class ApplyTemplatesElement(Ft.Xml.Xslt.StylesheetTree.XsltElement)

### Methods

instantiate(self, context, processor)
setup(self)

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

__init__, __str__, appendChild, expandQName, insertChild, parseAVT, parseExpression, parsePattern, processChildren, splitQName

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

idle, isLastChild, isPseudoNode, pprint, prime

### Fields

category = 0
content = <Ft.Xml.Xslt.ContentInfo.Rep instance>
doesSetup = 1
legalAttrs = {'mode': <Ft.Xml.Xslt.AttributeInfo.QName instance>, 'select': <Ft.Xml.Xslt.AttributeInfo.Expression instance>}

### Fields

EMPTY_NAMESPACE = None
XSL_NAMESPACE = u'http://www.w3.org/1999/XSL/Transform'